%define upstream_name    MCE
%define upstream_version 1.515

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Temporary directory creation/cleanup & signal handling
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module//%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Fcntl)
BuildRequires: perl(File::Path)
BuildRequires: perl(Getopt::Long)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Socket)
BuildRequires: perl(Storable)
BuildRequires: perl(Symbol)
BuildRequires: perl(Time::HiRes)
BuildArch: noarch

%description
Many-core Engine (MCE) for Perl helps enable a new level of performance by
maximizing all available cores. MCE spawns a pool of workers and therefore
does not fork a new process per each element of data. Instead, MCE follows
a bank queuing model. Imagine the line being the data and bank-tellers the
parallel workers. MCE enhances that model by adding the ability to chunk
the next n elements from the input stream to the next available worker.

Chunking and input data are optional in MCE. One may use MCE to run many
workers in parallel without specifying input data.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc META.yml CHANGES README LICENSE CREDITS
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Wed Oct 15 2014 umeabot <umeabot> 1.515.0-2.mga5
+ Revision: 747565
- Second Mageia 5 Mass Rebuild

* Wed Oct 01 2014 tv <tv> 1.515.0-1.mga5
+ Revision: 733742
- imported package perl-MCE


* Wed Oct 01 2014 Thierry Vignaud <tv@mageia.org> 1.515.0-1.mga5
- initial mageia release, generated with cpan2dist
